POST
/
v1
/
teams
/
{teamId}
/
personas
/
{personaId}
/
character-sheet
TypeScript client
import { OctosparkClient } from '@octospark/sdk'

const client = new OctosparkClient({
  token: process.env.OCTOSPARK_TOKEN
})

const response = await client.personas.createPersonaCharacterSheet({
  teamId: process.env.OCTOSPARK_TEAM_ID ?? "teamId",
  personaId: process.env.OCTOSPARK_PERSONA_ID ?? "personaId",
  body: {},
})
{
  "assetId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
  "sourceAssetIds": [
    "3c90c3cc-0d44-4b50-8888-8dd25736052a"
  ],
  "width": 123,
  "height": 123
}

Authorizations

Authorization
string
header
required

Bearer authentication header of the form Bearer <token>, where <token> is your auth token.

Path Parameters

teamId
string
required

Team (workspace) id (UUID). Discover ids via the list teams endpoint or the agent context.

personaId
string
required

Persona id (UUID), returned by list or create persona.

Body

application/json
assetIds
string<uuid>[]
required

an array of at most 100 item(s)

Required array length: 1 - 100 elements

a Universally Unique Identifier

Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
portrayedAge
integer
required

a number between 0 and 120

Required range: 0 <= x <= 120

Response

Success

assetId
string<uuid>
required

a Universally Unique Identifier

Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
sourceAssetIds
string<uuid>[]
required

a Universally Unique Identifier

Pattern: ^[0-9a-fA-F]{8}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{4}-[0-9a-fA-F]{12}$
width
integer
required

an integer

height
integer
required

an integer